﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Syncfusion.Windows.Controls.Grid;

namespace GridDataControlSample
{
    class ViewModel
    {
        public ViewModel()
        {
            this.GDCSource = Getsource();
            this._visiblecolumns = this.Getvisiblecolumn();
        }
        private ObservableCollection<Data> _gdcsource;
        public ObservableCollection<Data> GDCSource
        {
            get { return _gdcsource; }
            set { _gdcsource = value; }
        }

        private List<GridDataVisibleColumn> _visiblecolumns;
        public List<GridDataVisibleColumn> VisibleColumns
        {
            get { return _visiblecolumns; }
            set { _visiblecolumns = value; }
        }

        private List<GridDataVisibleColumn> Getvisiblecolumn()
        {
            List<GridDataVisibleColumn> list = new List<GridDataVisibleColumn>();
            list.Add(new GridDataVisibleColumn() { MappingName = "CustomerID" });
            list.Add(new GridDataVisibleColumn() { MappingName = "CustomerName" });
            list.Add(new GridDataVisibleColumn() { MappingName = "ProductID" });
            list.Add(new GridDataVisibleColumn() { MappingName = "ProductName" });
            list.Add(new GridDataVisibleColumn() { MappingName = "ProductPrice" });
            list.Add(new GridDataVisibleColumn() { MappingName = "Quantity" });

            return list;
        }




        private ObservableCollection<Data> Getsource()
        {
            ObservableCollection<Data> items = new ObservableCollection<Data>();
            if (items != null)
            {
                items.Add(new Data() { CustomerID = 1, CustomerName = "Thomas", ProductID = 44, ProductName = "Reebok Shoes", ProductPrice = 200, Quantity = 4 });
                items.Add(new Data() { CustomerID = 2, CustomerName = "Johnson", ProductID = 45, ProductName = "Adidas Shoes", ProductPrice = 150, Quantity = 5 });
                items.Add(new Data() { CustomerID = 3, CustomerName = "Vincent", ProductID = 42, ProductName = "Nokia Mobile", ProductPrice = 50, Quantity = 6 });
                items.Add(new Data() { CustomerID = 4, CustomerName = "Jerald", ProductID = 40, ProductName = "Samsung Mobile", ProductPrice = 65, Quantity = 12 });
                items.Add(new Data() { CustomerID = 5, CustomerName = "Peter", ProductID = 32, ProductName = "LG Mobile", ProductPrice = 40, Quantity = 3 });
                items.Add(new Data() { CustomerID = 6, CustomerName = "Vincent", ProductID = 29, ProductName = "Basics Shirt", ProductPrice = 25, Quantity = 20 });
                items.Add(new Data() { CustomerID = 7, CustomerName = "David", ProductID = 35, ProductName = "Raymond Shirt", ProductPrice = 34, Quantity = 15 });
                items.Add(new Data() { CustomerID = 8, CustomerName = "Peterson", ProductID = 12, ProductName = "Clientage Shirt", ProductPrice = 20, Quantity = 13 });
                items.Add(new Data() { CustomerID = 9, CustomerName = "Robert", ProductID = 76, ProductName = "Sony Mobile", ProductPrice = 989, Quantity = 54 });
                items.Add(new Data() { CustomerID = 10, CustomerName = "Nestor", ProductID = 98, ProductName = "Samsung camera", ProductPrice = 989, Quantity = 09 });         
            }
            return items;
                 

        }
    }
    public class ComboBoxSource : List<string>
    {
        public ComboBoxSource()
        {
            this.Add("Thomas");
            this.Add("Johnson");
            this.Add("Vincent");
            this.Add("Jerald");
            this.Add("Peter");
            this.Add("Vincent");
            this.Add("David");
            this.Add("Peterson");
            this.Add("Robert");
            this.Add("Nestor");

        }
    }
}
